import request from "./request"

export const BuildingHouse = params => {
  const config = {
    url: '/buildings/house',
    method: params.method || 'get'
  }
  config[!['get', 'delete'].includes(config.method) ? 'data' : 'params'] = params
  return request(config)
}

export const Building = params => {
  const config = {
    url: '/buildings/building',
    method: params.method || 'get'
  }
  config[!['get', 'delete'].includes(config.method) ? 'data' : 'params'] = params
  return request(config)
}

export const BuildingUnit = params => {
  const config = {
    url: '/buildings/unit',
    method: params.method || 'get'
  }
  config[!['get', 'delete'].includes(config.method) ? 'data' : 'params'] = params
  return request(config)
}
