import request from './request'

export const ComplaintApi = params => {
  const config = {
    url: '/suggestion/order',
    method: params.method || 'get'
  }
  config[!['get', 'delete'].includes(config.method) ? 'data' : 'params'] = params
  return request(config)
}

// 获取投诉详情 /api/v1/suggestion/order/info
export const GetComplaintInfo = search => request({
  url: '/suggestion/order/info' + search,
  method: 'get'
})

// 派单 /api/v1/suggestion/order/send
export const ComplaintOrderSend = data => request({
  url: '/suggestion/order/send',
  method: 'put',
  data
})

// 退单
export const ComplaintOrderRefund = data => request({
  url: '/suggestion/order/back',
  method: 'put',
  data
})

// 结单
export const ComplaintOrderFinish = data => request({
  url: '/suggestion/order/finish',
  method: 'put',
  data
})

// 回访
export const ComplaintOrderReturnVisit = data => request({
  url: '/suggestion/order/return_visit',
  method: 'put',
  data
})