import request from './request'

export const FixApi = params => {
  const config = {
    url: '/repair/order',
    method: params.method || 'get'
  }
  config[!['get', 'delete'].includes(config.method) ? 'data' : 'params'] = params
  return request(config)
}

// 获取报事报修详情 /api/v1/repair/order/info
export const GetFixOrderInfo = search => request({
  url: '/repair/order/info' + search,
  method: 'get',

})

// 派单
export const FixOrderSend = data => request({
  url: '/repair/order/send',
  method: 'put',
  data
})

// 退单 /api/v1/repair/order/back
export const FixOrderRefund = data => request({
  url: '/repair/order/back',
  method: 'put',
  data
})

// 结单 /api/v1/repair/order/finish
export const FixOrderFinish = data => request({
  url: '/repair/order/finish',
  method: 'put',
  data
})

// 回访 /api/v1/repair/order/return_visit
export const FixOrderReturnVisit = data => request({
  url: '/repair/order/return_visit',
  method: 'put',
  data
})

export const FixClassApi = params => {
  const config = {
    url: '/repair/class',
    method: params.method || 'get'
  }
  config[!['get', 'delete'].includes(config.method) ? 'data' : 'params'] = params
  return request(config)
}
