import request from "./request"

export const Car = params => {
  const config = {
    url: '/vehicle',
    method: params.method || 'get'
  }
  config[!['get', 'delete'].includes(config.method) ? 'data' : 'params'] = params
  return request(config)
}

export const Parking = params => {
  const config = {
    url: '/park',
    method: params.method || 'get'
  }
  config[!['get', 'delete'].includes(config.method) ? 'data' : 'params'] = params
  return request(config)
}

export const ParkingPosition = params => {
  const config = {
    url: '/park/space',
    method: params.method || 'get'
  }
  config[!['get', 'delete'].includes(config.method) ? 'data' : 'params'] = params
  return request(config)
}
