import { useState } from "react"
import { FixClassApi } from '../../services/fix'

export const useFixClass = () => {
  const [state, setState] = useState([])
  const request = (params = { page: 1, pageSize: 9999 }) => {
    FixClassApi(params)
      .then(({ data }) => {
        setState(data?.map(({ name, id }) => ({ value: id, label: name })))
      })
  }
  return [state, request] as const
}
