import React, { useState } from "react"
import { GetHouseholdList } from '../../services/household'

export const useHousehold = () => {
  const [state, setState] = useState([])
  const request = (params = { page: 1, pageSize: 9999 }) => {
    GetHouseholdList(params)
      .then(({ data }) => {
        console.log(data)
        setState(data?.map(({ name, id }) => ({ value: id, label: name })))
      })
  }
  return [state, request] as const
}
