import { useState } from "react"
import { User } from '../../services/user'

export const useUser = () => {
  const [state, setState] = useState([])
  const request = (params = { page: 1, pageSize: 9999 }) => {
    User(params)
      .then(({ data }) => {
        setState(data?.map(({ user_name, id }) => ({ value: id, label: user_name })))
      })
  }
  return [state, request] as const
}
